%define upstream_name gettext
%define upstream_version 1.05

Name:       perl-Locale-gettext
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:	Message handling functions for Perl
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Locale/%{upstream_name}-%{upstream_version}.tar.bz2
Patch1:		gettext-1.05-SvUTF8_on-on-strings-when-bind_textdomain_codeset-utf8.patch
Patch2:		gettext-1.05-add-iconv.patch
Patch3:		compatibility-with-POSIX-module.diff

BuildRequires:	gettext-devel
BuildRequires:  perl-devel

%description
The gettext module permits access from perl to the gettext() family of
functions for retrieving message strings from databases constructed to
internationalize software.

It provides gettext(), dgettext(), dcgettext(), textdomain() and
bindtextdomain().

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
%{__make} test

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%{perl_vendorarch}/Locale
%{perl_vendorarch}/auto/Locale
%{_mandir}/*/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.50.0-8.mga3
+ Revision: 369175
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 24 2012 pterjan <pterjan> 1.50.0-7.mga3
+ Revision: 283398
- Clean rebuild

* Sun Jun 12 2011 ahmad <ahmad> 1.50.0-6.mga2
+ Revision: 104548
- Rebuild for missing signature

* Tue Jan 18 2011 blino <blino> 1.50.0-5.mga1
+ Revision: 23269
- rebuild for new perl

* Mon Jan 10 2011 ahmad <ahmad> 1.50.0-4.mga1
+ Revision: 5300
- drop old conflicts
- imported package perl-Locale-gettext

